1. Templates
Highperformr API
  • Introduction
  • Contacts
    • Unified Data API - async contact enrichment
      POST
    • Bulk fetch contacts by IDs
      POST
    • Get contacts by segment
      POST
    • Get contact by ID
      GET
    • Update contact
      PATCH
    • Delete contact
      DELETE
    • Upsert contact into a source
      POST
    • Bulk upsert contacts for source
      POST
    • Unique values of one field for a filtered contact set
      POST
  • Schema
    • Get contact schema
      GET
    • Get discovery search contact schema
      GET
    • Get discovery search company schema
      GET
    • Get verified discovery contact filter schema
      GET
    • Get verified discovery company filter schema
      GET
    • Get options for field
      GET
    • Verified discovery autocomplete suggestions
      GET
    • Get discovery search options for field
      GET
    • Verified discovery static option lists
      GET
  • Discovery search
    • Find contacts v2
      POST
    • Find companies v2
      POST
    • Find verified contacts
      POST
    • Find verified companies
      POST
  • Jobs
    • Get job status by id
  • Social publishing
    • Create draft post
    • List posts (drafts, scheduled, published)
    • Schedule or publish posts (bulk)
    • Schedule a LinkedIn comment on an external post
    • Configure cross-account auto-repost
    • Upload media file (multipart)
    • Assemble chunked uploads into one file
    • Import media from a public URL
  • Integrations (social)
    • List social integrations (filter)
  • Segments
    • Type-ahead search for segments
    • Create segment
    • Get segment by ID
    • Update segment
    • Delete segment
    • Clone segment
    • Filter segments
  • Sources
    • Bulk upsert sources
    • Bulk fetch sources
    • Bulk update sources
    • Create source
    • Pull contacts from source
    • Get source by ID
    • Update source
  • Credits
    • Get workspace credit balance
    • Get credit usage analytics
  • Templates
    • Filter templates
      POST
    • Create template
      POST
    • Get template by ID
      GET
    • Update template
      PATCH
    • Delete template
      DELETE
  • Outreach
    • List connected LinkedIn sending accounts
    • List LinkedIn outreach campaigns
    • List inbox messages (incremental replies)
Login
  1. Templates

Filter templates

POST
/templates/filter-templates
Search and list templates for the workspace (including folders).
Request body:
conditions — { field, operator, value } on template columns (type, name,
searchTokens, …). This is not a contact filter.
limit — page size
paginationToken — opaque cursor from a previous meta
query — optional name token search
To list segment folders, filter type == folders.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Body Params application/json

Examples

Responses

🟢200
application/json
Matching templates
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://app.highperformr.ai/api/templates/filter-templates' \
--header 'x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "conditions": [
        {
            "field": "type",
            "operator": "==",
            "value": "folders"
        }
    ],
    "limit": 500
}'
Response Response Example
200 - Success
{
    "data": [
        {
            "id": "folder_abc123",
            "type": "templates",
            "attributes": {
                "name": "Q3 outbound",
                "description": "Campaign audiences for Q3",
                "type": "folders",
                "subType": "custom",
                "isDefault": false
            }
        }
    ],
    "meta": {
        "nextToken": null
    }
}
Modified at 2026-09-24 07:44:15
Previous
Get credit usage analytics
Next
Create template
Built with